player = {
  size = 10
}
local speed = 200

function player.initialize()
  player.x = love.graphics.getWidth() / 2
  player.y = love.graphics.getHeight() /2
end

function player.update(dt)
  if love.keyboard.isDown('left') or love.keyboard.isDown('a') then player.x = player.x - speed * dt end
  if love.keyboard.isDown('right') or love.keyboard.isDown('d') then player.x = player.x + speed * dt end
  if love.keyboard.isDown('up') or love.keyboard.isDown('w') then player.y = player.y - speed * dt end
  if love.keyboard.isDown('down') or love.keyboard.isDown('s') then player.y = player.y + speed * dt end
end

function player.draw()
  love.graphics.setColor(0,1,1)
  love.graphics.rectangle('fill', player.x - player.size/2, player.y - player.size/2, player.size, player.size)
end
